Bug 844340 - [abrt] osmo-0.2.12-0.1.svn924.fc17.2: __GI___libc_malloc: Process /usr/bin/osmo was killed by signal 11 (SIGSEGV)
[abrt] osmo-0.2.12-0.1.svn924.fc17.2: __GI___libc_malloc: Process /usr/bin/os...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: osmo (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
abrt_hash:f5da32b58dac333e76bac0a8fa6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-30 07:04 EDT by Chen_Min_Chin
Modified: 2013-07-31 18:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:39:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (45.07 KB, text/plain)
2012-07-30 07:04 EDT, Chen_Min_Chin
no flags Details
File: maps (58.83 KB, text/plain)
2012-07-30 07:04 EDT, Chen_Min_Chin
no flags Details
File: dso_list (11.68 KB, text/plain)
2012-07-30 07:04 EDT, Chen_Min_Chin
no flags Details
File: build_ids (4.80 KB, text/plain)
2012-07-30 07:04 EDT, Chen_Min_Chin
no flags Details

  None (edit)
Description Chen_Min_Chin 2012-07-30 07:04:21 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        osmo
crash_function: __GI___libc_malloc
executable:     /usr/bin/osmo
kernel:         3.4.6-2.fc17.x86_64
pid:            9753
pwd:            /home/chen
remote_result:  NOTFOUND
time:           Mon 30 Jul 2012 05:48:01 PM CST
uid:            1000
username:       chen

backtrace:      Text file, 46152 bytes
build_ids:      Text file, 4920 bytes
dso_list:       Text file, 11958 bytes
maps:           Text file, 60244 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/chen/5

core_backtrace:
:f69712fe393313f44607679e934bf5a67f39ec50 0x7bc9d malloc_consolidate libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x7cdde _int_malloc libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x7fc73 malloc libc.so.6 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x4d26f g_malloc libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x62ccc g_strdup libglib-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x37350 g_value_set_string libgobject-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x23fb15 gtk_tree_model_get_valist libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x23fe4c gtk_tree_model_get libgtk-x11-2.0.so.0 -
:4390958d7451b0655c01961ca8b71d3946492945 0x7cf10 - [exe] -
:4390958d7451b0655c01961ca8b71d3946492945 0x4245f - [exe] -
:4390958d7451b0655c01961ca8b71d3946492945 0x429b5 - [exe] -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x4822b - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14ac57 gtk_main libgtk-x11-2.0.so.0 -
:4390958d7451b0655c01961ca8b71d3946492945 0x13038 - [exe] -

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=5
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/chen/keyring-xrhGHK
:QTINC=/usr/lib/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=IBus
:USER=chen
:USERNAME=chen
:MAIL=/var/spool/mail/chen
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/chen/.local/bin:/home/chen/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/chen
:XMODIFIERS=@im=ibus
:GNOME_KEYRING_PID=2860
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/chen
:SHLVL=1
:LOGNAME=chen
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-3ACXjTuYgc,guid=49835d73f8930172d254205d00000ce8
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/chen
:DISPLAY=:0.0
:XAUTHORITY=/var/run/gdm/auth-for-chen-vIosgH/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2864,unix/unix:/tmp/.ICE-unix/2864
:SSH_AUTH_SOCK=/run/user/chen/keyring-xrhGHK/ssh
:GPG_AGENT_INFO=/run/user/chen/keyring-xrhGHK/gpg:0:1
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-osmo.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=9753

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31458                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31458                31458                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/chen/.xsession-errors
:pos:	20880
:flags:	0102002
:2:/home/chen/.xsession-errors
:pos:	20880
:flags:	0102002
:3:socket:[2542509]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:/home/chen/.osmo/lock
:pos:	0
:flags:	0100002
:6:socket:[2542812]
:pos:	0
:flags:	02004002
:7:anon_inode:inotify
:pos:	0
:flags:	02004000
:8:socket:[2542518]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:/home/chen/.local/share/webkit/icondatabase/WebpageIcons.db
:pos:	40
:flags:	02100002
:12:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:13:socket:[2542830]
:pos:	0
:flags:	02004002
:14:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: 76a03657-7416-4e58-9ffd-dad3f1f80c2e
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4388.97
:CPU Vendor: GenuineIntel
:CPU Model: Pentium(R) Dual-Core CPU       T4400  @ 2.20GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2200
:System Memory: 3953
:System Swap: 6015
:Vendor: Acer
:System: Aspire 4736Z V2.08
:Form factor: Notebook
:Kernel: 3.4.6-2.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10816:4133:608) pci, None, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10817:4133:608) pci, pcieport, PCI/PCI, Mobile 4 Series Chipset PCI Express Graphics Port
:(5772:42:6706:774) pci, ath9k, NETWORK, AR928X Wireless Network Adapter (PCI-Express)
:(32902:10544:4133:608) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10537:4133:608) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10521:4133:608) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(32902:10546:4133:608) pci, None, NONE, 82801I (ICH9 Family) Thermal Subsystem
:(32902:9288:4133:608) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10549:4133:608) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:4133:608) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:4133:608) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4133:608) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(6523:9091:4133:608) pci, jmb38x_ms, BASE, MS Host Controller
:(6523:9089:4133:608) pci, None, BASE, Standard SD Host Controller
:(32902:10554:4133:608) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4133:608) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:10564:4133:608) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 3
:(32902:10560:4133:608) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:4133:608) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10568:4133:608) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:4133:608) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:4133:608) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4133:608) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4318:1772:4133:608) pci, nouveau, VIDEO, G98M [GeForce G 105M]
:(6523:9092:4133:608) pci, None, BASE, xD Host Controller
:(6505:4195:4133:608) pci, atl1c, ETHERNET, AR8131 Gigabit Ethernet
:(6523:9090:4133:608) pci, sdhci-pci, BASE, SD/MMC Host Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg-lv_root / ext4 4096 4096 13081025 10438207 9782847 3276800 3020771 3020771
:/dev/sda1 /boot ext4 1024 1024 508644 422672 397072 128016 127626 127626
:/dev/mapper/vg-lv_home /home ext4 4096 4096 63287551 30128558 26960302 15843328 15786699 15786699
:

var_log_messages:
:Jul 29 14:34:01 localhost kernel: [ 3161.803035] osmo[2428]: segfault at 3abc43e8b0 ip 0000003abae7bc9d sp 00007fff56a26ef0 error 4 in libc-2.15.so[3abae00000+1ac000]
:Jul 29 14:34:04 localhost abrt[3173]: Saved core dump of pid 2428 (/usr/bin/osmo) to /var/spool/abrt/ccpp-2012-07-29-14:34:01-2428 (1140047872 bytes)
:Jul 30 17:48:00 localhost kernel: [19053.422330] osmo[9753]: segfault at 3abce74910 ip 0000003abae7bc9d sp 00007fff74e086f0 error 4 in libc-2.15.so[3abae00000+1ac000]
:Jul 30 17:48:04 localhost abrt[10049]: Saved core dump of pid 9753 (/usr/bin/osmo) to /var/spool/abrt/ccpp-2012-07-30-17:48:01-9753 (1142644736 bytes)

xsession_errors:
:(osmo:9753): GLib-CRITICAL **: g_variant_new_string: assertion `g_utf8_validate (string, -1, NULL)' failed
:(osmo:9753): GLib-CRITICAL **: g_variant_new_string: assertion `g_utf8_validate (string, -1, NULL)' failed
Comment 1 Chen_Min_Chin 2012-07-30 07:04:27 EDT
Created attachment 601208 [details]
File: backtrace
Comment 2 Chen_Min_Chin 2012-07-30 07:04:29 EDT
Created attachment 601209 [details]
File: maps
Comment 3 Chen_Min_Chin 2012-07-30 07:04:32 EDT
Created attachment 601210 [details]
File: dso_list
Comment 4 Chen_Min_Chin 2012-07-30 07:04:34 EDT
Created attachment 601211 [details]
File: build_ids
Comment 5 Fedora End Of Life 2013-07-03 17:31:17 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 18:39:53 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.